org.apache.fop.traits

## Enum BorderProps.Mode

- java.lang.Object
- - java.lang.Enum<BorderProps.Mode>
  - - org.apache.fop.traits.BorderProps.Mode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BorderProps.Mode>
  Enclosing class:
    BorderProps

      public static enum BorderProps.Mode
      extends java.lang.Enum<BorderProps.Mode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLLAPSE_INNER`
    `COLLAPSE_OUTER`
    `SEPARATE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BorderProps.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BorderProps.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SEPARATE

          public static final BorderProps.Mode SEPARATE

    - #### COLLAPSE_INNER

          public static final BorderProps.Mode COLLAPSE_INNER

    - #### COLLAPSE_OUTER

          public static final BorderProps.Mode COLLAPSE_OUTER

  - ### Method Detail

    - #### values

          public static BorderProps.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BorderProps.Mode c : BorderProps.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BorderProps.Mode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.